
QGIS Application - Bug report #21806

qgis crashes after panning the map canvas

2019-04-08 11:12 PM - Mario Crevato

Status: Feedback

Priority: High

Assignee:

Category: Unknown

Affected QGIS version:3.6.1 Regression?: No

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 29621

Description

User Feedback

Wait refresh after pan. Presenti una manciata di vettori e un raster ecw (da CTR F.V.G.)

Report Details

Crash ID: 275a775c2d8b4209220dc1772b35ccda14f8caac

Stack Trace

QTextOption::wrapMode :

QTextOption::wrapMode :

QVectorPath::convertToPainterPath :

QVectorPath::convertToPainterPath :

QVectorPath::convertToPainterPath :

QVectorPath::convertToPainterPath :

QRasterPaintEngine::rasterBuffer :

QRasterPaintEngine::rasterBuffer :

QRasterPaintEngine::fill :

QPaintEngineEx::stroke :

QRasterPaintEngine::stroke :

QPaintEngineEx::draw :

QPaintEngineEx::drawPath :

QPicture::exec :

QPicture::play :

QPainter::drawPicture :

QgsPaintEffect::sourceAsImage :

QgsGlowEffect::draw :

QgsEffectStack::draw :

QgsPaintEffect::end :

QgsEffectPainter::~QgsEffectPainter :

QgsLineSymbol::renderPolylineUsingLayer :

QgsLineSymbol::renderPolyline :

QgsSymbol::renderFeature :

QgsFeatureRenderer::renderFeature :

QgsVectorLayerLabelProvider::registerFeature :

QgsVectorLayerLabelProvider::registerFeature :

QgsMapRendererCustomPainterJob::doRender :

QgsMapRendererCustomPainterJob::staticRender :

QgsMapRendererJob::renderingTime :

QThreadPoolPrivate::reset :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :
QGIS Version: 3.6.1-Noosa

QGIS code revision: commit:2468226bc9

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.1

Running against GDAL: 2.4.1

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

History

#1 - 2019-04-10 05:19 PM - Giovanni Manghi

- Priority changed from Normal to High

- Assignee deleted (Mario Crevato)

- Status changed from Open to Feedback

Hi, subject and description must be in English. Thanks for understanding.

Please try working with a new/clean (qgis) profile, no 3rd party plugins.

If the crash is replicable then please attach a sample project with data to allow us replicate on our machine, thanks!

#2 - 2019-04-10 05:20 PM - Giovanni Manghi

- Subject changed from Crash attendendo un refresh dopo un semplice pan to qgis crashes after panning the map canvas
